=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: shim
 Section: admin
 Priority: optional
-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Steve Langasek <vorlon@debian.org>, Steve McIntyre <93sam@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper-compat (= 9),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
+	       gnu-efi (>= 3.0u),
 	       sbsigntool,
 	       openssl,
 	       libelf-dev,
-	       gcc-8,
+	       gcc-10,
 	       dos2unix,
 	       pesign (>= 0.112-5),
 	       xxd
