## shim 15.4.1

=== debian/changelog ===
shim (15.4.1-7) UNRELEASED; urgency=medium

  * update

 -- Debian EFI team <debian-efi@lists.debian.org>  Fri, 27 May 2022 14:04:03 +0800

shim (15.4.1-7) unstable; urgency=medium

  * 添加UOS，deepin编译支持
  * 添加UOS，deepin证书
  * 更新编译依赖gcc-10 -> gcc-11

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 26 May 2022 11:41:58 +0800
