=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: shim
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>, Steve McIntyre <93sam@debian.org>
 Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12),
@@ -9,7 +9,7 @@
 	       sbsigntool,
 	       openssl,
 	       libelf-dev,
-	       gcc-10,
+	       gcc-11,
 	       dos2unix,
 	       pesign (>= 0.112-5),
 	       xxd
