=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,12 @@
 # dpkg-vendor --derives-from, because only Canonical-generated binaries will
 # be signed with this key; so if you are building your own shim binary you
 # should be building the other binaries also.
-ifeq ($(shell dpkg-vendor --is ubuntu && echo yes),yes)
-	cert=debian/canonical-uefi-ca.der
-	distributor=ubuntu
-COMMON_OPTIONS ?= ENABLE_SHIM_CERT=1 ENABLE_SBSIGN=1
+ifeq ($(shell dpkg-vendor --is deepin && echo yes),yes)
+	cert=debian/deepin-uefi-ca.der
+	distributor=deepin
+else ifeq ($(shell dpkg-vendor --is uos && echo yes),yes)
+    cert=debian/UOS-UEFI-RSA.cer
+    distributor=uos
 else
 	cert=debian/debian-uefi-ca.der
 	distributor=debian
@@ -45,7 +47,7 @@
 	VENDOR_DBX_FILE=$(DBX_LIST) \
 	EFIDIR=$(distributor) \
 	CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)- \
-	CC=$(DEB_HOST_GNU_TYPE)-gcc-8 \
+	CC=$(DEB_HOST_GNU_TYPE)-gcc-11 \
 	$(NULL)
 
 $(DBX_LIST): $(DBX_HASHES)
@@ -68,10 +70,10 @@
 	rm -f $(DBX_LIST) $(SBAT_DATA) sbat.*.csv BOOT*.CSV test-csv test-sbat test-str
 
 override_dh_auto_build: $(DBX_LIST) $(SBAT_DATA)
-	dh_auto_build -- $(COMMON_OPTIONS)
+	dh_auto_build -- INSTALL=install $(COMMON_OPTIONS)
 
 override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp -- $(COMMON_OPTIONS)
+	dh_auto_install --destdir=debian/tmp -- INSTALL=install $(COMMON_OPTIONS)
 	# Remove the copy of the source that's installed - we have git
 	# already...
 	rm -rf debian/tmp/usr
