## shim 15.6

=== debian/changelog ===
shim (15.6-1~deb10u1) buster; urgency=medium

  * New upstream release fixing more bugs
    + Remove all our old patches, all now upstream:
      - fix-32b-format-strings.patch
      - fix-test-includes.patch
  * Rebuild for buster
    + Add new patches reverting arm64 build system changes so we can
      build using older binutils.

 -- Steve McIntyre <93sam@debian.org>  Thu, 28 Jul 2022 07:46:16 +0100
