=== debian/changelog ===
shim (15.7-1) unstable; urgency=medium

  * New upstream release fixing more bugs
  * Add further patches from upstream:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
  * Switch to using gcc-12. Closes: #1022180
  * Update to Standards-Version 4.6.2 (no changes needed)
  * Block Debian grub binaries with sbat < 4 (see #1024617)

 -- Steve McIntyre <93sam@debian.org>  Mon, 30 Jan 2023 18:11:23 +0000

shim (15.6-1) unstable; urgency=medium

  * New upstream release fixing more bugs
    + Remove all our old patches, all now upstream:
      - fix-32b-format-strings.patch
      - fix-test-includes.patch

 -- Steve McIntyre <93sam@debian.org>  Thu, 21 Jul 2022 14:04:01 +0200

shim (15.5-1) UNRELEASED; urgency=medium

  * New upstream release fixing more bugs
    + Remove all our old patches, all now upstream:
      - Don-t-call-QueryVariableInfo-on-EFI-1.10-machines.patch
      - MOK-BootServicesData.patch
      -	fix-broken-ia32-reloc.patch
      -	fix-import_one_mok_state.patch
      - fix_arm64_rela_sections.patch
      - relax_check_for_import_mok_state.patch
  * Fix format strings for 32-bit builds
  * Tweak setup for dh_auto_test so the tests work
  * Add new build-dep on libefivar-dev for tests

 -- Steve McIntyre <93sam@debian.org>  Wed, 27 Apr 2022 22:50:08 +0100
