=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>, Steve McIntyre <93sam@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 12),
 	       gnu-efi (>= 3.0u),
 	       sbsigntool,
 	       openssl,
 	       libelf-dev,
-	       gcc-11,
+	       gcc-12,
 	       dos2unix,
 	       pesign (>= 0.112-5),
-	       xxd
+	       xxd,
+	       libefivar-dev
 Vcs-Browser: https://salsa.debian.org/efi-team/shim
 Vcs-Git: https://salsa.debian.org/efi-team/shim.git
