=== debian/changelog ===
shim (15.7-1~deb11u1+11.0trisquel0) aramo; urgency=medium

  * Rebuild to get unsigned binary as dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 29 Apr 2023 12:41:51 +0000

shim (15.7-1~deb11u1) bullseye; urgency=medium

  * New upstream release fixing more bugs
  * Add further patches from upstream:
    + Make sbat_var.S parse right with buggy gcc/binutils
    + Enable NX support at build time, as required by policy for signing
      new shim binaries.
  * Block Debian grub binaries with sbat < 4 (see #1024617)
  * Rebuild for bullseye
    + Add patches reverting arm64 build system changes so we can
      build using older binutils.

 -- Steve McIntyre <93sam@debian.org>  Tue, 31 Jan 2023 10:41:03 +0100

shim (15.6-1~deb11u1) bullseye; urgency=medium

  * New upstream release fixing more bugs
    + Remove all our old patches, all now upstream:
      - fix-32b-format-strings.patch
      - fix-test-includes.patch
  * Rebuild for bullseye
    + Add new patches reverting arm64 build system changes so we can
      build using older binutils.

 -- Steve McIntyre <93sam@debian.org>  Thu, 28 Jul 2022 08:22:35 +0100
